PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_sgetrs_incpiv_Tile | ( | PLASMA_desc * | A,
|  | PLASMA_desc * | L,
|  | const int * | IPIV,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_sgetrs_incpiv_Tile - Solves a system of linear equations using previously computed LU factorization. Tile equivalent of PLASMA_sgetrs_incpiv(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | A | The tile factors L and U from the factorization, computed by PLASMA_sgetrf_incpiv.
  [in] | L | Auxiliary factorization data, related to the tile L factor, computed by PLASMA_sgetrf_incpiv.
  [in] | IPIV | The pivot indices from PLASMA_sgetrf_incpiv (not equivalent to LAPACK).
  [in,out] | B | On entry, the N-by-NRHS matrix of right hand side matrix B. On exit, the solution matrix X.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_sgetrs_incpiv
  PLASMA_sgetrs_incpiv_Tile_Async
  PLASMA_cgetrs_incpiv_Tile
  PLASMA_dgetrs_incpiv_Tile
  PLASMA_sgetrs_incpiv_Tile
  PLASMA_sgetrf_incpiv_Tile